<h3>Fonctions de template</h3>
<p>Voici les fonctions mises à disposition par le greffon pour les templates&nbsp;:</p>
<ul>
<li><code>PhotoblogNav</code>&nbsp;: bloc englobant permettant d'afficher les vignettes de navigation. Accepte trois paramètres (tous optionnels)&nbsp;:
<ul>

<li><code>dir</code>&nbsp;: indique si l'on doit récupérer les billets précédents (valeur&nbsp;: <code>-1</code>) ou suivants (valeur&nbsp;: <code>1</code>). La valeur par défaut est <code>0</code>, qui indique que l'on souhaite afficher la vignette du billet affiché.</li>
<li><code>nbEntries</code>&nbsp;: nombre de billets à récupérer pour afficher la navigation. La valeur par défaut est <code>1</code>.</li>
<li><code>reverse</code>&nbsp;: inverse l'ordre «&nbsp;normal&nbsp;» de parcours des billets (utile par exemple avec une navigation présentée verticalement). La valeur par défaut est <code>0</code> (faux).</li>

</ul></li>
<li><code>PhotoblogThumbURL</code>&nbsp;: retourne la vignette du billet courant. («&nbsp;Courant&nbsp;» d'après le bloc <code>PhotoblogNav</code> qui parcourt les billets bien entendu.) Accepte deux paramètre (optionnels)&nbsp;:
<ul>
<li><code>archive</code>&nbsp;: <code>1</code> si on veut retourner les vignettes pour les archives, <code>0</code> (valeur par défaut) pour retourner les vignettes pour la navigation.<sup>[<a href="http://mudry.org/blog/#pnote-2138-2" id="rev-pnote-2138-2">2</a>]</sup></li>

<li><code>type</code>&nbsp;: type de la vignette, <code>bw</code> pour la vignette en noir / blanc, <code>color</code> pour la vignette en couleurs. La valeur par défaut est <code>bw</code>.</li>
</ul></li>
<li><code>PhotoblogThumbSize</code>&nbsp;: permet de trouver la taille des vignettes. Accepte deux paramètres (optionnels)&nbsp;:
<ul>
<li><code>archive</code>&nbsp;: <code>1</code> si on veut la taille des vignettes utilisées pour les archives, <code>0</code> (valeur par défaut) pour la taille des vignettes utilisées pour la navigation.</li>

<li><code>dimension</code>&nbsp;: <code>height</code> (valeur par défaut) pour obtenir la hauteur, <code>width</code> pour obtenir la largeur.</li>
</ul></li>
<li><code>PhotoblogEntryExcerpt</code>&nbsp;: retourne l'extrait du billet courant. Accepte les même paramètres que la fonction de Dotclear <code>EntryExcerpt</code>, avec un paramètre supplémentaire&nbsp;:
<ul>
<li><code>full_size</code>&nbsp;: <code>1</code> si on veut laisser les images telles quelles dans l'extrait du billet, laisser vide si on veut remplacer les images par leur vignette.</li>

</ul></li>
<li><code>PhotoblogEntryContent</code>&nbsp;: retourne le contenu du billet courant. Accepte les même paramètres que la fonction de Dotclear <code>EntryContent</code>, avec un paramètre supplémentaire&nbsp;:
<ul>
<li><code>full_size</code>&nbsp;: <code>1</code> si on veut laisser les images telles quelles dans le contenu du billet, laisser vide si on veut remplacer les images par leur vignette.</li>
</ul></li>
</ul>

<h3>Divers</h3>
<p>Information supplémentaire concernant les vignettes&nbsp;: les vignettes noir/blanc ont une hauteur double de ce qui est spécifié dans l'administration du greffon. Cela permet l'effet «&nbsp;d'activation&nbsp;» au survol que l'on voit sur mon photoblog.</p>
